Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class DerivedCircuitBreakerOnClassAndMethodNoRedefinition

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnClassAndMethodNoRedefinition

All Implemented Interfaces:
  `CircuitBreakerLifecycleService`

@Dependent @Typed(DerivedCircuitBreakerOnClassAndMethodNoRedefinition.class) public class DerivedCircuitBreakerOnClassAndMethodNoRedefinition extends BaseCircuitBreakerOnClassAndMethod

## Constructor Summary

Constructors
Constructor
Description
`DerivedCircuitBreakerOnClassAndMethodNoRedefinition()`

## Method Summary

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod

`instanceId, service`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedCircuitBreakerOnClassAndMethodNoRedefinition

public DerivedCircuitBreakerOnClassAndMethodNoRedefinition()